import Structure from "./Structure.js";
import Vec2 from "./Vec2.js";
import Tile from "./Tile.js";

export default {
	ground: size => new Structure(
		[ "wall" ],
		Tile.createBox(
			Vec2.zero, size, "ground", {
				bottomLeft: "ground-l",
				bottom: "ground",
				bottomRight: "ground-r",
				bottomBoth: "ground",
			})),

	groundPillar: size => new Structure(
		[ "wall" ],
		Tile.createBox(
			Vec2.zero, size, "ground", {
				bottomLeft: "ground",
				bottom: "ground",
				bottomRight: "ground",
				bottomBoth: "ground",
			})),
};
